/*
 * Copyright (c) 2005-2010 KOM � Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tudarmstadt.maki.simonstrator.api.common.graph;

/**
 * Mainly serves as a marker interface
 * 
 * @author michael.stein
 * @version 1.0, 12.12.2014
 */
public interface GraphElement {

	/**
	 * Returns the id of this element.
	 * 
	 * TODO is object a good idea in this context?
	 * 
	 * @return the unique identifier of this element
	 */
	Object getId();

	/**
	 * All graph elements provide a method that compares all attributes directly
	 * in order to determine if they are totally equal. This is required as the
	 * equals() implementation of Node and DirectedEdge compares only
	 * identifiers.
	 */
	public boolean equalsAttributes(Object otherObj);

}
