package de.tudarmstadt.maki.simonstrator.api.component.network;

/**
 * Extending the NetInterface, this interface can be turned on and off by the app/overlay.
 * The repsective ConnectivityListener will be notified.
 *
 * @author Bjoern Richerzhagen
 *
 */
public interface ControllableNetInterface extends NetInterface {

    /**
     * Activates the NetInterface, if it was previously disabled.
     */
    public void turnOn();

    /**
     * Deactivates the NetInterface, if it was previously enabled.
     */
    public void turnOff();

}
